uuid: 725ee6c0-309c-4351-adba-741b6290bcc6
langcode: en
status: true
dependencies:
  module:
    - content_moderation
_core:
  default_config_hash: C0jZewM2mDrvz1X6CgI-Z0c5suz-odCZu1SKLKhotjo
id: workflow_buttons_trash_publishing
label: 'Publishing (with draft and soft delete)'
type: content_moderation
type_settings:
  states:
    draft:
      label: Draft
      weight: -2
      published: false
      default_revision: false
    published:
      label: Published
      weight: 0
      published: true
      default_revision: true
    trash:
      label: Trash
      weight: 1
      published: false
      default_revision: true
    unpublished:
      label: Unpublished
      weight: 2
      published: false
      default_revision: true
  transitions:
    create_new_draft:
      label: Save
      from:
        - draft
      to: draft
      weight: -5
    delete:
      label: Delete
      from:
        - draft
        - published
        - unpublished
      to: trash
      weight: 1
    publish:
      label: Publish
      from:
        - draft
        - unpublished
      to: published
      weight: -1
    restore_draft:
      label: 'Restore to Draft'
      from:
        - trash
      to: draft
      weight: 2
    restore_publish:
      label: 'Restore and Publish'
      from:
        - trash
      to: published
      weight: 3
    save_draft_leave_current_published:
      label: 'Create draft (leave current version published)'
      from:
        - published
      to: draft
      weight: -2
    save_unpublished:
      label: Save
      from:
        - unpublished
      to: unpublished
      weight: -4
    unpublish:
      label: Unpublish
      from:
        - published
      to: unpublished
      weight: 0
    update:
      label: Update
      from:
        - published
      to: published
      weight: -3
  entity_types: {  }
  default_moderation_state: draft
